/*
 * The Copyright of this work is vested in the National Electricity Market
 * Management Company Limited and the software is issued in confidence
 * for the purpose only for which it is supplied. It must not be
 * reproduced in whole or in part or used for tendering or manufacturing
 * purposes except under an agreement or with the consent in writing of
 * the National Electricity Market Management Company Limited and then
 * only on the condition that this notice is included in any such
 * reproduction.  No information as to the contents or subject matter of
 * this software or any part thereof arising directly or indirectly there
 * from shall be given orally or in writing or communicated in any manner
 * whatsoever to any third party being an individual firm or company or
 * any employee thereof without the prior consent in writing of the National
 * Electricity Market Management Company Limited.
 *
 * Copyright the National Electricity Market Management Company Limited.  2003
 * Mike Muir
 */

package com.nemmco.participantbatcher;

import com.nemmco.participantbatcher.util.Crypt;

import javax.crypto.SecretKey;

/** Main method to display the Encrypt form. This form
 * is used to encrypt a password so the userf can cut the
 * encrypted vestion into a properties file.
 *
 * @author  Mike Muir
 * version 1.3 10-Jun-2004 Creation
 * version 1.4.4 6-May-2006 Fixed javaDoc and codeing standards
 * version 2.0.0 - 08-Apr-2010   Bob Jones   6356 Add get secret key and pass to encryt call.
 * @version 2.0.2 - 19-Nov-2010 Peer review work
 */
public class Encrypt extends javax.swing.JFrame {

   /** Creates new form Encrypt */
   public Encrypt() {
      initComponents();
   }

   /** This method is called from within the constructor to
    * initialize the form.
    * WARNING: Do NOT modify this code. The content of this method is
    * always regenerated by the Form Editor.
    */
    private void initComponents() {//GEN-BEGIN:initComponents
        jLabel1 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();

        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        setTitle("Enter the password and press enter");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel1.setText("Password ");
        jLabel1.setFocusable(false);
        jLabel1.setMinimumSize(new java.awt.Dimension(130, 130));
        jLabel1.setPreferredSize(new java.awt.Dimension(210, 25));
        getContentPane().add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 10, 120, -1));

        jTextField1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField1.setMinimumSize(new java.awt.Dimension(130, 130));
        jTextField1.setPreferredSize(new java.awt.Dimension(210, 25));
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        getContentPane().add(jTextField1, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 10, 120, 30));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel2.setText("Encrypted ");
        jLabel2.setFocusable(false);
        jLabel2.setMinimumSize(new java.awt.Dimension(130, 130));
        jLabel2.setPreferredSize(new java.awt.Dimension(210, 25));
        getContentPane().add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 70, 110, -1));

        jTextField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField2.setMinimumSize(new java.awt.Dimension(130, 130));
        jTextField2.setPreferredSize(new java.awt.Dimension(210, 25));
        getContentPane().add(jTextField2, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 70, 260, 30));

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-447)/2, (screenSize.height-149)/2, 447, 149);
    }//GEN-END:initComponents

   /** Action is to encrypt the passwird into its encrypted form.
    */
    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
      // encrypt field 1 into field 2
      String encryptedPassword = "";
      try {
         SecretKey key = Crypt.getKey();
         encryptedPassword = Crypt.encrypt(key, jTextField1.getText());
      } catch (Exception e) {;}

      jTextField2.setText(encryptedPassword);
    }//GEN-LAST:event_jTextField1ActionPerformed

   /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
      System.exit(0);
    }//GEN-LAST:event_exitForm

   /** Main method to display the Encrypt form. This form
    * is used to encrypt a password so the user can cut the
    * encrypted vestion into a properties file.
    *
    * @param args the command line arguments - none are needed
    */
   public static void main(String args[]) {
      new Encrypt().setVisible(true); //  .show();
   }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    // End of variables declaration//GEN-END:variables

}
