/*
 * The Copyright of this work is vested in the National Electricity Market
 * Management Company Limited and the software is issued in confidence
 * for the purpose only for which it is supplied. It must not be
 * reproduced in whole or in part or used for tendering or manufacturing
 * purposes except under an agreement or with the consent in writing of
 * the National Electricity Market Management Company Limited and then
 * only on the condition that this notice is included in any such
 * reproduction.  No information as to the contents or subject matter of
 * this software or any part thereof arising directly or indirectly there
 * from shall be given orally or in writing or communicated in any manner
 * whatsoever to any third party being an individual firm or company or
 * any employee thereof without the prior consent in writing of the National
 * Electricity Market Management Company Limited.
 *
 * Copyright the National Electricity Market Management Company Limited.  2003
 * Mike Muir
 */

package com.nemmco.participantbatcher.ftp;

/**
 * This class is a wrapper for all FTP related exceptions
 *
 * @author Kevin Jin
 * version 1.0 - 27 Aug 2003 - Creation
 * version 1.4.0 - 28-Feb-2005 Added share as alternative to FTP
 * @version 1.4.4 - 3-May-2006 Changed the behaviour of exceptions, coding standards, javaDoc
 */

public class ComException extends RuntimeException {

   private String ftpErrorMessage = "";
   private Exception originalException = null;

   /**
    * Default Constructor
    */
   public ComException() {
      super();
   }

   /** Create com exception with message.
    *
    * @param message string with the message
    */
   public ComException(String message) {
      super(message);
   }

   /**
    * Constructor  with message and an exception.
    *
    * @param message String FTP error message
    * @param originalException Exception
    */
   public ComException(String message, Exception originalException) {
      super(message);
      this.ftpErrorMessage = message;
      this.originalException = originalException;
   }

   /**
    * Access Method to set error message
    *
    * @param message String
    */
   public void setFTPErrorMessage(String message) {
      this.ftpErrorMessage = message;
   }

   /**
    * Access Method to get error message
    *
    * @return String message
    */
   public String getErrorMessage() {
      return this.ftpErrorMessage;
   }

   /**
    * Access Method to set original exception
    *
    * @param originalException Exception
    */
   public void setOriginalComException(Exception originalException) {
      this.originalException = originalException;
   }

   /**
    * Access Method to get original exception
    *
    * @return Exception originalException
    */
   public Exception getOriginalComException() {
      return this.originalException;
   }

}
